# NAME

> apomask -- Create an apodizing mask image with zero background and a circular central mask with rounded off edge

# USAGE

> apomask output xdim ydim radius sigma k xpos ypos

# PARAMETERS

> output = "" [image]
>   The name for the output mask image to be created.
> xdim = 512 [integer]
>   The X dimension of the input image.
> ydim = 512 [integer]
>   The Y dimension of the input image.
> radius = 12.0 [real]
>   The radius of the central disk of the output image which is to be set to one.
> sigma = 2.0 [real]
>   The sigma of the roll-off region around the central disk.
> k = 0.5 [real]
>   Linear size of output pixels in terms of input pixels. A scale of 0.5 means a magnification of two from input to output.
> xpos = 256 [real]
>   The position of the centre of the central disk in the image (x).
> ypos = 256 [real]
>   The position of the centre of the central disk in the image (y).

# DESCRIPTION

> This task is for creating images to be used as apodizing masks, typically PSFs are multiplied by such images to clean up the outer areas but there are other uses too. The output image is zero except for a central circular area which is set to 1.0 and a "roll-off" region around this central area where the value drops smoothly to zero. The roll-off is a gaussian determined by the sigma parameter. The parameter "k" controls the limb-darkening of the central disk. A value of 0.5 represents a uniform disk.

# EXAMPLES

# TIMINGS

> It is, as one would expect, very quick!

# SEE ALSO

> drizzle, blot, tranback